pcl::CrfNormalSegmentation< PointT > Class Template Reference

`#include <pcl/segmentation/crf_normal_segmentation.h>`

## Public Member Functions

| CrfNormalSegmentation ()
| Constructor that sets default values for member variables. More...
| ~CrfNormalSegmentation ()
| Destructor that frees memory. More...
void | setCloud (typename pcl::PointCloud< PointT >::Ptr input_cloud)
| This method sets the input cloud. More...
void | segmentPoints ()
| This method simply launches the segmentation algorithm. More...

## Detailed Description

### template<typename PointT>
class pcl::CrfNormalSegmentation< PointT >

Author
  Christian Potthast

Definition at line 49 of file crf_normal_segmentation.h.

## Constructor & Destructor Documentation

## CrfNormalSegmentation()

template<typename PointT >

pcl::CrfNormalSegmentation< PointT >::CrfNormalSegmentation | ( |  | ) |

Constructor that sets default values for member variables.

Definition at line 50 of file crf_normal_segmentation.hpp.

## ~CrfNormalSegmentation()

template<typename PointT >

pcl::CrfNormalSegmentation< PointT >::~CrfNormalSegmentation | ( |  | ) |

Destructor that frees memory.

Definition at line 56 of file crf_normal_segmentation.hpp.

## Member Function Documentation

## segmentPoints()

template<typename PointT >

void pcl::CrfNormalSegmentation< PointT >::segmentPoints | ( |  | ) |

This method simply launches the segmentation algorithm.

Definition at line 74 of file crf_normal_segmentation.hpp.

## setCloud()

template<typename PointT >

void pcl::CrfNormalSegmentation< PointT >::setCloud | ( | typename pcl::PointCloud< PointT >::Ptr | input_cloud | ) |

This method sets the input cloud.

Parameters

  [in] | input_cloud | input point cloud

Definition at line 62 of file crf_normal_segmentation.hpp.

The documentation for this class was generated from the following files:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/segmentation/include/pcl/segmentation/crf_normal_segmentation.h
- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/segmentation/include/pcl/segmentation/impl/crf_normal_segmentation.hpp